Scriptname TrueHunterMCMScript extends SKI_ConfigBase

GlobalVariable Property SpawnChancePredator Auto
GlobalVariable Property SpawnChancePrey Auto
GlobalVariable Property SpawnChanceAmbientCreatures Auto

Int MCM_SpawnChancePredator
Int MCM_SpawnChancePrey
Int MCM_SpawnChanceAmbientCreatures
Int MCM_HelpMain

Event OnPageReset(string page)
	SetCursorFillMode(TOP_TO_BOTTOM)
		AddHeaderOption("$Header")
		MCM_HelpMain = AddTextOption("$HelpMainName","")
		MCM_SpawnChancePredator = AddSliderOption("$ChancePredator", SpawnChancePredator.GetValue() as int, "{0}%")
		MCM_SpawnChancePrey = AddSliderOption("$ChancePrey", SpawnChancePrey.GetValue() as int, "{0}%")
		MCM_SpawnChanceAmbientCreatures = AddSliderOption("$ChanceAmbientCreatures", SpawnChanceAmbientCreatures.GetValue() as int, "{0}%")
EndEvent

Event OnOptionHighlight(Int Option)
	if Option == MCM_SpawnChancePredator
		SetInfoText("$HelpChancePredator")
	elseif Option == MCM_SpawnChancePrey
		SetInfoText("$HelpChancePrey")
	elseif Option == MCM_SpawnChanceAmbientCreatures
		SetInfoText("$HelpChanceAmbientCreatures")
	elseif Option == MCM_HelpMain
		SetInfoText("$HelpMain")
	endif
EndEvent

Event OnOptionSliderOpen(Int Option)
	if Option == MCM_SpawnChancePredator
		SetSliderDialogStartValue( SpawnChancePredator.GetValue() as int)
		SetSliderDialogDefaultValue(12)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)
	elseif Option == MCM_SpawnChancePrey
		SetSliderDialogStartValue(SpawnChancePrey.GetValue() as int)
		SetSliderDialogDefaultValue(45)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)
	elseif Option == MCM_SpawnChanceAmbientCreatures
		SetSliderDialogStartValue(SpawnChanceAmbientCreatures.GetValue() as int)
		SetSliderDialogDefaultValue(20)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)
	endif
EndEvent

Event OnOptionSliderAccept(Int Option, Float Value)
	if Option == MCM_SpawnChancePredator
		SpawnChancePredator.SetValue(Value)
		SetSliderOptionValue(Option, Value, "{0}%") 
	elseif Option == MCM_SpawnChancePrey
		SpawnChancePrey.SetValue(Value)
		SetSliderOptionValue(Option, Value, "{0}%") 
	elseif Option ==  MCM_SpawnChanceAmbientCreatures
		SpawnChanceAmbientCreatures.SetValue(Value)
		SetSliderOptionValue(Option, Value, "{0}%") 
	endif
EndEvent